#ifndef LIBRARY_EVENTTYPE_H
#define LIBRARY_EVENTTYPE_H

/**
 * types of events.
 * @since 0.1.0
 * @uthor Johannes Theiner
 */
enum EventType {
    Timer = 1,
    MouseMove = 2,
    MouseButton = 3,
    KeyDown = 4,
    KeyUp = 5,
    UpdateControlRegisters = 6,
    Redraw = 7,
    RenderText = 8
};

#endif
