#ifndef LIBRARY_COLOR_H
#define LIBRARY_COLOR_H


/**
 * color values represented as rgb values.
 * @author Johannes Theiner
 * @since 0.1.0
 */
class Color {

private:
    unsigned char red;
    unsigned char green;
    unsigned char blue;

public:
    Color(unsigned char red, unsigned char green, unsigned char blue);

    unsigned char getRed();
    unsigned char getGreen();
    unsigned char getBlue();

    void setRed(unsigned char value);
    void setGreen(unsigned char value);
    void setBlue(unsigned char value);

};

const static Color black = Color(0, 0, 0);
const static Color white = Color(255, 255, 255);

#endif
